import request from "@/utils/request";

// 查询整合数据列表
export function listData(query) {
  return request({
    url: "/system/metadata/data/list",
    method: "get",
    params: query,
  });
}

// 查询整合数据详细
export function getData(id) {
  return request({
    url: "/system/metadata/data/" + id,
    method: "get",
  });
}

// 查询整合数据明细
export function getDataItem(id) {
  return request({
    url: "/system/metadata/data/dataitem?id=" + id,
    method: "get",
  });
}

// 查询数据明细数据
export function getDataData(id, page, size) {
  return request({
    url: `/system/metadata/data/data?id=${id}&page=${page}&pageSize=${size}`,
    method: "get",
  });
}

// 新增整合数据
export function addData(data) {
  return request({
    url: "/system/metadata/data",
    method: "post",
    data: data,
  });
}

// 修改整合数据
export function updateData(data) {
  return request({
    url: "/system/metadata/data",
    method: "put",
    data: data,
  });
}

// 删除整合数据
export function delData(id) {
  return request({
    url: "/system/metadata/data/" + id,
    method: "delete",
  });
}
